
import Tex 

"""
This specifies 
	p = TEX prefix
	q = TEX postfix
	c = TEX command
Only the prefix is likely to need changing.
One possibiity is to replace the string here by operations that open
a TEX header file and return its contents as the prefix.
Or concatenate it with part of the prefix.

For example:
		f = open("myheader.tex", "r")
		p = f.read()
		f.close()

"""

def getTexEnv():
	# prefix:
	p = "\\documentclass[12pt]{article}\n"
	p += "\\pagestyle{empty}\n"
	p += "\\input amssym.def\n"
	p += "\\newcommand\\color[1]{\\special{Color{#1}}}\n"
	p += "\\newcommand\\uncolor{\\special{unColor}}\n"
	p += "\\newcommand\\lmark{\\special{mark}}\n"
	p += "\\begin{document}\n"
	# postfix:
	q = "\n%\n\\end{document}\n"
	# command:
	c = "latex"
	return Tex.TexEnv(p, q, c)


